unit Folders;

{ Pascal Interface to the Macintosh Libraries }

{ Copyright  Apple Computer Inc. }
{ All Rights Reserved }

{ Adapted for use with THINK Pascal 4.0.x by Marco Piovanelli }

interface

	const
		kOnSystemDisk = $8000;
		kCreateFolder = true;
		kDontCreateFolder = false;
		kSystemFolderType = 'macs';						{ the system folder }
		kDesktopFolderType = 'desk';						{ the desktop folder; objects in this folder show on the desk top. }
		kTrashFolderType = 'trsh';						{ the trash folder; objects in this folder show up in the trash }
		kWhereToEmptyTrashFolderType = 'empt';						{ the "empty trash" folder; Finder starts empty from here down }
		kPrintMonitorDocsFolderType = 'prnt';						{ Print Monitor documents }
		kStartupFolderType = 'strt';						{ Finder objects (applications, documents, DAs, aliases, to...) to open at startup go here }
		kAppleMenuFolderType = 'amnu';						{ Finder objects to put into the Apple menu go here }
		kControlPanelFolderType = 'ctrl';						{ Control Panels go here (may contain INITs) }
		kExtensionFolderType = 'extn';						{ Finder extensions go here }
		kFontsFolderType = 'font';						{ Fonts go here }
		kPreferencesFolderType = 'pref';						{ preferences for applications go here }
		kTemporaryFolderType = 'temp';

	function FindFolder (vRefNum: INTEGER;
									folderType: OSType;
									createFolder: BOOLEAN;
									var foundVRefNum: INTEGER;
									var foundDirID: LONGINT): OSErr;
	inline
		$7000, $A823;

	function ReleaseFolder (vRefNum: INTEGER;
									folderType: OSType): OSErr;
	inline
		$700B, $A823;

implementation
end.