unit LowMem;

{ Pascal Interface to the Macintosh Libraries }

{ Copyright  Apple Computer Inc. }
{ All Rights Reserved }

{ Adapted for use with THINK Pascal 4.0.x by Marco Piovanelli }

interface
	uses
		Types, Resources, Events, Windows;

	function LMGetScrVRes: SInt16;
	inline
		$3EB8, $0102;			{ MOVE.W $0102,(SP) }

	procedure LMSetScrVRes (value: SInt16);
	inline
		$31DF, $0102;			{ MOVE.W (SP)+,$0102 }

	function LMGetScrHRes: SInt16;
	inline
		$3EB8, $0104;			{ MOVE.W $0104,(SP) }

	procedure LMSetScrHRes (value: SInt16);
	inline
		$31DF, $0104;			{ MOVE.W (SP)+,$0104 }

	function LMGetMemTop: Ptr;
	inline
		$2EB8, $0108;			{ MOVE.L $0108,(SP) }

	procedure LMSetMemTop (value: Ptr);
	inline
		$21DF, $0108;			{ MOVE.L (SP)+,$0108 }

	function LMGetBufPtr: Ptr;
	inline
		$2EB8, $010C;			{ MOVE.L $010C,(SP) }

	procedure LMSetBufPtr (value: Ptr);
	inline
		$21DF, $010C;			{ MOVE.L (SP)+,$010C }

	function LMGetStackLowPoint: Ptr;
	inline
		$2EB8, $0110;			{ MOVE.L $0110,(SP) }

	procedure LMSetStackLowPoint (value: Ptr);
	inline
		$21DF, $0110;			{ MOVE.L (SP)+,$0110 }

	function LMGetHeapEnd: Ptr;
	inline
		$2EB8, $0114;			{ MOVE.L $0114,(SP) }

	procedure LMSetHeapEnd (value: Ptr);
	inline
		$21DF, $0114;			{ MOVE.L (SP)+,$0114 }

	function LMGetTheZone: THz;
	inline
		$2EB8, $0118;			{ MOVE.L $0118,(SP) }

	procedure LMSetTheZone (value: THz);
	inline
		$21DF, $0118;			{ MOVE.L (SP)+,$0118 }

	function LMGetUTableBase: Ptr;
	inline
		$2EB8, $011C;			{ MOVE.L $011C,(SP) }

	procedure LMSetUTableBase (value: Ptr);
	inline
		$21DF, $011C;			{ MOVE.L (SP)+,$011C }

	function LMGetCPUFlag: ByteParameter;
	inline
		$1EB8, $012F;			{ MOVE.B $012F,(SP) }

	procedure LMSetCPUFlag (value: ByteParameter);
	inline
		$11DF, $012F;			{ MOVE.B (SP)+,$012F }

	function LMGetApplLimit: Ptr;
	inline
		$2EB8, $0130;			{ MOVE.L $0130,(SP) }

	procedure LMSetApplLimit (value: Ptr);
	inline
		$21DF, $0130;			{ MOVE.L (SP)+,$0130 }

	function LMGetSysEvtMask: SInt16;
	inline
		$3EB8, $0144;			{ MOVE.W $0144,(SP) }

	procedure LMSetSysEvtMask (value: SInt16);
	inline
		$31DF, $0144;			{ MOVE.W (SP)+,$0144 }

	function LMGetRndSeed: SInt32;
	inline
		$2EB8, $0156;			{ MOVE.L $0156,(SP) }

	procedure LMSetRndSeed (value: SInt32);
	inline
		$21DF, $0156;			{ MOVE.L (SP)+,$0156 }

	function LMGetSEvtEnb: ByteParameter;
	inline
		$1EB8, $015C;			{ MOVE.B $015C,(SP) }

	procedure LMSetSEvtEnb (value: ByteParameter);
	inline
		$11DF, $015C;			{ MOVE.B (SP)+,$015C }

	function LMGetTicks: SInt32;
	inline
		$2EB8, $016A;			{ MOVE.L $016A,(SP) }

	procedure LMSetTicks (value: SInt32);
	inline
		$21DF, $016A;			{ MOVE.L (SP)+,$016A }

	function LMGetKeyThresh: SInt16;
	inline
		$3EB8, $018E;			{ MOVE.W $018E,(SP) }

	procedure LMSetKeyThresh (value: SInt16);
	inline
		$31DF, $018E;			{ MOVE.W (SP)+,$018E }

	function LMGetKeyRepThresh: SInt16;
	inline
		$3EB8, $0190;			{ MOVE.W $0190,(SP) }

	procedure LMSetKeyRepThresh (value: SInt16);
	inline
		$31DF, $0190;			{ MOVE.W (SP)+,$0190 }

	function LMGetUnitTableEntryCount: SInt16;
	inline
		$3EB8, $01D2;			{ MOVE.W $01D2,(SP) }

	procedure LMSetUnitTableEntryCount (value: SInt16);
	inline
		$31DF, $01D2;			{ MOVE.W (SP)+,$01D2 }

	function LMGetVIA: Ptr;
	inline
		$2EB8, $01D4;			{ MOVE.L $01D4,(SP) }

	procedure LMSetVIA (value: Ptr);
	inline
		$21DF, $01D4;			{ MOVE.L (SP)+,$01D4 }

	function LMGetSCCRd: Ptr;
	inline
		$2EB8, $01D8;			{ MOVE.L $01D8,(SP) }

	procedure LMSetSCCRd (value: Ptr);
	inline
		$21DF, $01D8;			{ MOVE.L (SP)+,$01D8 }

	function LMGetSCCWr: Ptr;
	inline
		$2EB8, $01DC;			{ MOVE.L $01DC,(SP) }

	procedure LMSetSCCWr (value: Ptr);
	inline
		$21DF, $01DC;			{ MOVE.L (SP)+,$01DC }

	function LMGetSPValid: ByteParameter;
	inline
		$1EB8, $01F8;			{ MOVE.B $01F8,(SP) }

	procedure LMSetSPValid (value: ByteParameter);
	inline
		$11DF, $01F8;			{ MOVE.B (SP)+,$01F8 }

	function LMGetSPATalkA: ByteParameter;
	inline
		$1EB8, $01F9;			{ MOVE.B $01F9,(SP) }

	procedure LMSetSPATalkA (value: ByteParameter);
	inline
		$11DF, $01F9;			{ MOVE.B (SP)+,$01F9 }

	function LMGetSPATalkB: ByteParameter;
	inline
		$1EB8, $01FA;			{ MOVE.B $01FA,(SP) }

	procedure LMSetSPATalkB (value: ByteParameter);
	inline
		$11DF, $01FA;			{ MOVE.B (SP)+,$01FA }

	function LMGetSPConfig: ByteParameter;
	inline
		$1EB8, $01FB;			{ MOVE.B $01FB,(SP) }

	procedure LMSetSPConfig (value: ByteParameter);
	inline
		$11DF, $01FB;			{ MOVE.B (SP)+,$01FB }

	function LMGetSPPortA: SInt16;
	inline
		$3EB8, $01FC;			{ MOVE.W $01FC,(SP) }

	procedure LMSetSPPortA (value: SInt16);
	inline
		$31DF, $01FC;			{ MOVE.W (SP)+,$01FC }

	function LMGetSPPortB: SInt16;
	inline
		$3EB8, $01FE;			{ MOVE.W $01FE,(SP) }

	procedure LMSetSPPortB (value: SInt16);
	inline
		$31DF, $01FE;			{ MOVE.W (SP)+,$01FE }

	function LMGetSPAlarm: SInt32;
	inline
		$2EB8, $0200;			{ MOVE.L $0200,(SP) }

	procedure LMSetSPAlarm (value: SInt32);
	inline
		$21DF, $0200;			{ MOVE.L (SP)+,$0200 }

	function LMGetSPFont: SInt16;
	inline
		$3EB8, $0204;			{ MOVE.W $0204,(SP) }

	procedure LMSetSPFont (value: SInt16);
	inline
		$31DF, $0204;			{ MOVE.W (SP)+,$0204 }

	function LMGetSPKbd: ByteParameter;
	inline
		$1EB8, $0206;			{ MOVE.B $0206,(SP) }

	procedure LMSetSPKbd (value: ByteParameter);
	inline
		$11DF, $0206;			{ MOVE.B (SP)+,$0206 }

	function LMGetSPPrint: ByteParameter;
	inline
		$1EB8, $0207;			{ MOVE.B $0207,(SP) }

	procedure LMSetSPPrint (value: ByteParameter);
	inline
		$11DF, $0207;			{ MOVE.B (SP)+,$0207 }

	function LMGetSPVolCtl: ByteParameter;
	inline
		$1EB8, $0208;			{ MOVE.B $0208,(SP) }

	procedure LMSetSPVolCtl (value: ByteParameter);
	inline
		$11DF, $0208;			{ MOVE.B (SP)+,$0208 }

	function LMGetSPClikCaret: ByteParameter;
	inline
		$1EB8, $0209;			{ MOVE.B $0209,(SP) }

	procedure LMSetSPClikCaret (value: ByteParameter);
	inline
		$11DF, $0209;			{ MOVE.B (SP)+,$0209 }

	function LMGetSPMisc2: ByteParameter;
	inline
		$1EB8, $020B;			{ MOVE.B $020B,(SP) }

	procedure LMSetSPMisc2 (value: ByteParameter);
	inline
		$11DF, $020B;			{ MOVE.B (SP)+,$020B }

	function LMGetTime: SInt32;
	inline
		$2EB8, $020C;			{ MOVE.L $020C,(SP) }

	procedure LMSetTime (value: SInt32);
	inline
		$21DF, $020C;			{ MOVE.L (SP)+,$020C }

	function LMGetBootDrive: SInt16;
	inline
		$3EB8, $0210;			{ MOVE.W $0210,(SP) }

	procedure LMSetBootDrive (value: SInt16);
	inline
		$31DF, $0210;			{ MOVE.W (SP)+,$0210 }

	function LMGetSFSaveDisk: SInt16;
	inline
		$3EB8, $0214;			{ MOVE.W $0214,(SP) }

	procedure LMSetSFSaveDisk (value: SInt16);
	inline
		$31DF, $0214;			{ MOVE.W (SP)+,$0214 }

	function LMGetKbdLast: ByteParameter;
	inline
		$1EB8, $0218;			{ MOVE.B $0218,(SP) }

	procedure LMSetKbdLast (value: ByteParameter);
	inline
		$11DF, $0218;			{ MOVE.B (SP)+,$0218 }

	function LMGetKbdType: ByteParameter;
	inline
		$1EB8, $021E;			{ MOVE.B $021E,(SP) }

	procedure LMSetKbdType (value: ByteParameter);
	inline
		$11DF, $021E;			{ MOVE.B (SP)+,$021E }

	function LMGetMemErr: SInt16;
	inline
		$3EB8, $0220;			{ MOVE.W $0220,(SP) }

	procedure LMSetMemErr (value: SInt16);
	inline
		$31DF, $0220;			{ MOVE.W (SP)+,$0220 }

	function LMGetSdVolume: ByteParameter;
	inline
		$1EB8, $0260;			{ MOVE.B $0260,(SP) }

	procedure LMSetSdVolume (value: ByteParameter);
	inline
		$11DF, $0260;			{ MOVE.B (SP)+,$0260 }

	function LMGetSoundPtr: Ptr;
	inline
		$2EB8, $0262;			{ MOVE.L $0262,(SP) }

	procedure LMSetSoundPtr (value: Ptr);
	inline
		$21DF, $0262;			{ MOVE.L (SP)+,$0262 }

	function LMGetSoundBase: Ptr;
	inline
		$2EB8, $0266;			{ MOVE.L $0266,(SP) }

	procedure LMSetSoundBase (value: Ptr);
	inline
		$21DF, $0266;			{ MOVE.L (SP)+,$0266 }

	function LMGetSoundLevel: ByteParameter;
	inline
		$1EB8, $027F;			{ MOVE.B $027F,(SP) }

	procedure LMSetSoundLevel (value: ByteParameter);
	inline
		$11DF, $027F;			{ MOVE.B (SP)+,$027F }

	function LMGetCurPitch: SInt16;
	inline
		$3EB8, $0280;			{ MOVE.W $0280,(SP) }

	procedure LMSetCurPitch (value: SInt16);
	inline
		$31DF, $0280;			{ MOVE.W (SP)+,$0280 }

	function LMGetROM85: SInt16;
	inline
		$3EB8, $028E;			{ MOVE.W $028E,(SP) }

	procedure LMSetROM85 (value: SInt16);
	inline
		$31DF, $028E;			{ MOVE.W (SP)+,$028E }

	function LMGetPortBUse: ByteParameter;
	inline
		$1EB8, $0291;			{ MOVE.B $0291,(SP) }

	procedure LMSetPortBUse (value: ByteParameter);
	inline
		$11DF, $0291;			{ MOVE.B (SP)+,$0291 }

	function LMGetGNEFilter: GNEFilterUPP;
	inline
		$2EB8, $029A;			{ MOVE.L $029A,(SP) }

	procedure LMSetGNEFilter (value: GNEFilterUPP);
	inline
		$21DF, $029A;			{ MOVE.L (SP)+,$029A }

	function LMGetSysZone: THz;
	inline
		$2EB8, $02A6;			{ MOVE.L $02A6,(SP) }

	procedure LMSetSysZone (value: THz);
	inline
		$21DF, $02A6;			{ MOVE.L (SP)+,$02A6 }

	function LMGetApplZone: THz;
	inline
		$2EB8, $02AA;			{ MOVE.L $02AA,(SP) }

	procedure LMSetApplZone (value: THz);
	inline
		$21DF, $02AA;			{ MOVE.L (SP)+,$02AA }

	function LMGetROMBase: Ptr;
	inline
		$2EB8, $02AE;			{ MOVE.L $02AE,(SP) }

	procedure LMSetROMBase (value: Ptr);
	inline
		$21DF, $02AE;			{ MOVE.L (SP)+,$02AE }

	function LMGetRAMBase: Ptr;
	inline
		$2EB8, $02B2;			{ MOVE.L $02B2,(SP) }

	procedure LMSetRAMBase (value: Ptr);
	inline
		$21DF, $02B2;			{ MOVE.L (SP)+,$02B2 }

	function LMGetDSAlertTab: Ptr;
	inline
		$2EB8, $02BA;			{ MOVE.L $02BA,(SP) }

	procedure LMSetDSAlertTab (value: Ptr);
	inline
		$21DF, $02BA;			{ MOVE.L (SP)+,$02BA }

	function LMGetDoubleTime: SInt32;
	inline
		$2EB8, $02F0;			{ MOVE.L $02F0,(SP) }

	procedure LMSetDoubleTime (value: SInt32);
	inline
		$21DF, $02F0;			{ MOVE.L (SP)+,$02F0 }

	function LMGetCaretTime: SInt32;
	inline
		$2EB8, $02F4;			{ MOVE.L $02F4,(SP) }

	procedure LMSetCaretTime (value: SInt32);
	inline
		$21DF, $02F4;			{ MOVE.L (SP)+,$02F4 }

	function LMGetScrDmpEnb: ByteParameter;
	inline
		$1EB8, $02F8;			{ MOVE.B $02F8,(SP) }

	procedure LMSetScrDmpEnb (value: ByteParameter);
	inline
		$11DF, $02F8;			{ MOVE.B (SP)+,$02F8 }

	function LMGetBufTgFNum: SInt32;
	inline
		$2EB8, $02FC;			{ MOVE.L $02FC,(SP) }

	procedure LMSetBufTgFNum (value: SInt32);
	inline
		$21DF, $02FC;			{ MOVE.L (SP)+,$02FC }

	function LMGetBufTgFFlg: SInt16;
	inline
		$3EB8, $0300;			{ MOVE.W $0300,(SP) }

	procedure LMSetBufTgFFlg (value: SInt16);
	inline
		$31DF, $0300;			{ MOVE.W (SP)+,$0300 }

	function LMGetBufTgFBkNum: SInt16;
	inline
		$3EB8, $0302;			{ MOVE.W $0302,(SP) }

	procedure LMSetBufTgFBkNum (value: SInt16);
	inline
		$31DF, $0302;			{ MOVE.W (SP)+,$0302 }

	function LMGetBufTgDate: SInt32;
	inline
		$2EB8, $0304;			{ MOVE.L $0304,(SP) }

	procedure LMSetBufTgDate (value: SInt32);
	inline
		$21DF, $0304;			{ MOVE.L (SP)+,$0304 }

	function LMGetLo3Bytes: SInt32;
	inline
		$2EB8, $031A;			{ MOVE.L $031A,(SP) }

	procedure LMSetLo3Bytes (value: SInt32);
	inline
		$21DF, $031A;			{ MOVE.L (SP)+,$031A }

	function LMGetMinStack: SInt32;
	inline
		$2EB8, $031E;			{ MOVE.L $031E,(SP) }

	procedure LMSetMinStack (value: SInt32);
	inline
		$21DF, $031E;			{ MOVE.L (SP)+,$031E }

	function LMGetDefltStack: SInt32;
	inline
		$2EB8, $0322;			{ MOVE.L $0322,(SP) }

	procedure LMSetDefltStack (value: SInt32);
	inline
		$21DF, $0322;			{ MOVE.L (SP)+,$0322 }

	function LMGetGZRootHnd: Handle;
	inline
		$2EB8, $0328;			{ MOVE.L $0328,(SP) }

	procedure LMSetGZRootHnd (value: Handle);
	inline
		$21DF, $0328;			{ MOVE.L (SP)+,$0328 }

	function LMGetGZMoveHnd: Handle;
	inline
		$2EB8, $0330;			{ MOVE.L $0330,(SP) }

	procedure LMSetGZMoveHnd (value: Handle);
	inline
		$21DF, $0330;			{ MOVE.L (SP)+,$0330 }

	function LMGetFCBSPtr: Ptr;
	inline
		$2EB8, $034E;			{ MOVE.L $034E,(SP) }

	procedure LMSetFCBSPtr (value: Ptr);
	inline
		$21DF, $034E;			{ MOVE.L (SP)+,$034E }

	function LMGetDefVCBPtr: Ptr;
	inline
		$2EB8, $0352;			{ MOVE.L $0352,(SP) }

	procedure LMSetDefVCBPtr (value: Ptr);
	inline
		$21DF, $0352;			{ MOVE.L (SP)+,$0352 }

	function LMGetCurDirStore: SInt32;
	inline
		$2EB8, $0398;			{ MOVE.L $0398,(SP) }

	procedure LMSetCurDirStore (value: SInt32);
	inline
		$21DF, $0398;			{ MOVE.L (SP)+,$0398 }

	function LMGetToExtFS: UniversalProcPtr;
	inline
		$2EB8, $03F2;			{ MOVE.L $03F2,(SP) }

	procedure LMSetToExtFS (value: UniversalProcPtr);
	inline
		$21DF, $03F2;			{ MOVE.L (SP)+,$03F2 }

	function LMGetFSFCBLen: SInt16;
	inline
		$3EB8, $03F6;			{ MOVE.W $03F6,(SP) }

	procedure LMSetFSFCBLen (value: SInt16);
	inline
		$31DF, $03F6;			{ MOVE.W (SP)+,$03F6 }

	function LMGetScrnBase: Ptr;
	inline
		$2EB8, $0824;			{ MOVE.L $0824,(SP) }

	procedure LMSetScrnBase (value: Ptr);
	inline
		$21DF, $0824;			{ MOVE.L (SP)+,$0824 }

	function LMGetMainDevice: GDHandle;
	inline
		$2EB8, $08A4;			{ MOVE.L $08A4,(SP) }

	procedure LMSetMainDevice (value: GDHandle);
	inline
		$21DF, $08A4;			{ MOVE.L (SP)+,$08A4 }

	function LMGetDeviceList: GDHandle;
	inline
		$2EB8, $08A8;			{ MOVE.L $08A8,(SP) }

	procedure LMSetDeviceList (value: GDHandle);
	inline
		$21DF, $08A8;			{ MOVE.L (SP)+,$08A8 }

	function LMGetQDColors: Handle;
	inline
		$2EB8, $08B0;			{ MOVE.L $08B0,(SP) }

	procedure LMSetQDColors (value: Handle);
	inline
		$21DF, $08B0;			{ MOVE.L (SP)+,$08B0 }

	function LMGetCrsrBusy: ByteParameter;
	inline
		$1EB8, $08CD;			{ MOVE.B $08CD,(SP) }

	procedure LMSetCrsrBusy (value: ByteParameter);
	inline
		$11DF, $08CD;			{ MOVE.B (SP)+,$08CD }

	function LMGetWidthListHand: Handle;
	inline
		$2EB8, $08E4;			{ MOVE.L $08E4,(SP) }

	procedure LMSetWidthListHand (value: Handle);
	inline
		$21DF, $08E4;			{ MOVE.L (SP)+,$08E4 }

	function LMGetJournalRef: SInt16;
	inline
		$3EB8, $08E8;			{ MOVE.W $08E8,(SP) }

	procedure LMSetJournalRef (value: SInt16);
	inline
		$31DF, $08E8;			{ MOVE.W (SP)+,$08E8 }

	function LMGetCrsrThresh: SInt16;
	inline
		$3EB8, $08EC;			{ MOVE.W $08EC,(SP) }

	procedure LMSetCrsrThresh (value: SInt16);
	inline
		$31DF, $08EC;			{ MOVE.W (SP)+,$08EC }

	function LMGetJFetch: UniversalProcPtr;
	inline
		$2EB8, $08F4;			{ MOVE.L $08F4,(SP) }

	procedure LMSetJFetch (value: UniversalProcPtr);
	inline
		$21DF, $08F4;			{ MOVE.L (SP)+,$08F4 }

	function LMGetJStash: UniversalProcPtr;
	inline
		$2EB8, $08F8;			{ MOVE.L $08F8,(SP) }

	procedure LMSetJStash (value: UniversalProcPtr);
	inline
		$21DF, $08F8;			{ MOVE.L (SP)+,$08F8 }

	function LMGetJIODone: UniversalProcPtr;
	inline
		$2EB8, $08FC;			{ MOVE.L $08FC,(SP) }

	procedure LMSetJIODone (value: UniversalProcPtr);
	inline
		$21DF, $08FC;			{ MOVE.L (SP)+,$08FC }

	function LMGetCurApRefNum: SInt16;
	inline
		$3EB8, $0900;			{ MOVE.W $0900,(SP) }

	procedure LMSetCurApRefNum (value: SInt16);
	inline
		$31DF, $0900;			{ MOVE.W (SP)+,$0900 }

	function LMGetCurrentA5: Ptr;
	inline
		$2EB8, $0904;			{ MOVE.L $0904,(SP) }

	procedure LMSetCurrentA5 (value: Ptr);
	inline
		$21DF, $0904;			{ MOVE.L (SP)+,$0904 }

	function LMGetCurStackBase: Ptr;
	inline
		$2EB8, $0908;			{ MOVE.L $0908,(SP) }

	procedure LMSetCurStackBase (value: Ptr);
	inline
		$21DF, $0908;			{ MOVE.L (SP)+,$0908 }

	function LMGetCurJTOffset: SInt16;
	inline
		$3EB8, $0934;			{ MOVE.W $0934,(SP) }

	procedure LMSetCurJTOffset (value: SInt16);
	inline
		$31DF, $0934;			{ MOVE.W (SP)+,$0934 }

	function LMGetCurPageOption: SInt16;
	inline
		$3EB8, $0936;			{ MOVE.W $0936,(SP) }

	procedure LMSetCurPageOption (value: SInt16);
	inline
		$31DF, $0936;			{ MOVE.W (SP)+,$0936 }

	function LMGetHiliteMode: ByteParameter;
	inline
		$1EB8, $0938;			{ MOVE.B $0938,(SP) }

	procedure LMSetHiliteMode (value: ByteParameter);
	inline
		$11DF, $0938;			{ MOVE.B (SP)+,$0938 }

	function LMGetPrintErr: SInt16;
	inline
		$3EB8, $0944;			{ MOVE.W $0944,(SP) }

	procedure LMSetPrintErr (value: SInt16);
	inline
		$31DF, $0944;			{ MOVE.W (SP)+,$0944 }

	function LMGetScrapSize: SInt32;
	inline
		$2EB8, $0960;			{ MOVE.L $0960,(SP) }

	procedure LMSetScrapSize (value: SInt32);
	inline
		$21DF, $0960;			{ MOVE.L (SP)+,$0960 }

	function LMGetScrapHandle: Handle;
	inline
		$2EB8, $0964;			{ MOVE.L $0964,(SP) }

	procedure LMSetScrapHandle (value: Handle);
	inline
		$21DF, $0964;			{ MOVE.L (SP)+,$0964 }

	function LMGetScrapCount: SInt16;
	inline
		$3EB8, $0968;			{ MOVE.W $0968,(SP) }

	procedure LMSetScrapCount (value: SInt16);
	inline
		$31DF, $0968;			{ MOVE.W (SP)+,$0968 }

	function LMGetScrapState: SInt16;
	inline
		$3EB8, $096A;			{ MOVE.W $096A,(SP) }

	procedure LMSetScrapState (value: SInt16);
	inline
		$31DF, $096A;			{ MOVE.W (SP)+,$096A }

	function LMGetScrapName: StringPtr;
	inline
		$2EB8, $096C;			{ MOVE.L $096C,(SP) }

	procedure LMSetScrapName (value: StringPtr);
	inline
		$21DF, $096C;			{ MOVE.L (SP)+,$096C }

	function LMGetROMFont0: Handle;
	inline
		$2EB8, $0980;			{ MOVE.L $0980,(SP) }

	procedure LMSetROMFont0 (value: Handle);
	inline
		$21DF, $0980;			{ MOVE.L (SP)+,$0980 }

	function LMGetApFontID: SInt16;
	inline
		$3EB8, $0984;			{ MOVE.W $0984,(SP) }

	procedure LMSetApFontID (value: SInt16);
	inline
		$31DF, $0984;			{ MOVE.W (SP)+,$0984 }

	function LMGetWindowList: WindowRef;
	inline
		$2EB8, $09D6;			{ MOVE.L $09D6,(SP) }

	function LMGetSaveUpdate: SInt16;
	inline
		$3EB8, $09DA;			{ MOVE.W $09DA,(SP) }

	procedure LMSetSaveUpdate (value: SInt16);
	inline
		$31DF, $09DA;			{ MOVE.W (SP)+,$09DA }

	function LMGetPaintWhite: SInt16;
	inline
		$3EB8, $09DC;			{ MOVE.W $09DC,(SP) }

	procedure LMSetPaintWhite (value: SInt16);
	inline
		$31DF, $09DC;			{ MOVE.W (SP)+,$09DC }

	function LMGetWMgrPort: GrafPtr;
	inline
		$2EB8, $09DE;			{ MOVE.L $09DE,(SP) }

	procedure LMSetWMgrPort (value: GrafPtr);
	inline
		$21DF, $09DE;			{ MOVE.L (SP)+,$09DE }

	function LMGetGrayRgn: RgnHandle;
	inline
		$2EB8, $09EE;			{ MOVE.L $09EE,(SP) }

	function LMGetDragHook: UniversalProcPtr;
	inline
		$2EB8, $09F6;			{ MOVE.L $09F6,(SP) }

	procedure LMSetDragHook (value: UniversalProcPtr);
	inline
		$21DF, $09F6;			{ MOVE.L (SP)+,$09F6 }

{}
{ To best work with future versions of the window manager,}
{ avoid using anything not defined with STRICT_WINDOWS}
{ set to true.  Most, if not all of these will still}
{ be supported in the next major version of the window manager}
{ but will trigger non-optimal compatibility code paths that}
{ should be avoided if possible.}
{}
{}
{ There is no reason to set the window list directly.}
{ Use BringToFront and SendBehind.}
{}
{ If you need to do floating windows, avoid using GhostWindow }
{ and especially avoid patching the window manager.}
{}
{ See Dean Yu's article in Develop 15 about how to implement floating}
{ windows using low-level window manager calls.  The next generation}
{ Macintosh Window Manager will have built-in support for floating}
{ and modal windows.}
{}
	procedure LMSetWindowList (value: WindowRef);
	inline
		$21DF, $09D6;			{ MOVE.L (SP)+,$09D6 }

	function LMGetGhostWindow: WindowRef;
	inline
		$2EB8, $0A84;			{ MOVE.L $0A84,(SP) }

	procedure LMSetGhostWindow (value: WindowRef);
	inline
		$21DF, $0A84;			{ MOVE.L (SP)+,$0A84 }

{}
{ The auxiliary window record list will be empty in future}
{ versions of the window manager.  There is no reason to }
{ walk it or change it. }
{}
	function LMGetAuxWinHead: AuxWinHandle;
	inline
		$2EB8, $0CD0;			{ MOVE.L $0CD0,(SP) }

	procedure LMSetAuxWinHead (value: AuxWinHandle);
	inline
		$21DF, $0CD0;			{ MOVE.L (SP)+,$0CD0 }

{}
{ Please rely on the event manager to deliver activate and }
{ deactivate events and on the window manager to generate them.}
{}
{ The next generation window manager will queue these events}
{ rather than just slamming these lowmems with the latest}
{ generated event, so it pays to rely on the event manager.}
{}
	function LMGetCurActivate: WindowRef;
	inline
		$2EB8, $0A64;			{ MOVE.L $0A64,(SP) }

	procedure LMSetCurActivate (value: WindowRef);
	inline
		$21DF, $0A64;			{ MOVE.L (SP)+,$0A64 }

	function LMGetCurDeactive: WindowRef;
	inline
		$2EB8, $0A68;			{ MOVE.L $0A68,(SP) }

	procedure LMSetCurDeactive (value: WindowRef);
	inline
		$21DF, $0A68;			{ MOVE.L (SP)+,$0A68 }

	function LMGetOldStructure: RgnHandle;
	inline
		$2EB8, $09E6;			{ MOVE.L $09E6,(SP) }

	procedure LMSetOldStructure (value: RgnHandle);
	inline
		$21DF, $09E6;			{ MOVE.L (SP)+,$09E6 }

	function LMGetOldContent: RgnHandle;
	inline
		$2EB8, $09EA;			{ MOVE.L $09EA,(SP) }

	procedure LMSetOldContent (value: RgnHandle);
	inline
		$21DF, $09EA;			{ MOVE.L (SP)+,$09EA }

{}
{ Please don't mess with the gray region.  There has}
{ to be a better way.  If not, please manipulate the}
{ existing region, don't change the value of the lowmem.}
{}
	procedure LMSetGrayRgn (value: RgnHandle);
	inline
		$21DF, $09EE;			{ MOVE.L (SP)+,$09EE }

	function LMGetSaveVisRgn: RgnHandle;
	inline
		$2EB8, $09F2;			{ MOVE.L $09F2,(SP) }

	procedure LMSetSaveVisRgn (value: RgnHandle);
	inline
		$21DF, $09F2;			{ MOVE.L (SP)+,$09F2 }

	function LMGetOneOne: SInt32;
	inline
		$2EB8, $0A02;			{ MOVE.L $0A02,(SP) }

	procedure LMSetOneOne (value: SInt32);
	inline
		$21DF, $0A02;			{ MOVE.L (SP)+,$0A02 }

	function LMGetMinusOne: SInt32;
	inline
		$2EB8, $0A06;			{ MOVE.L $0A06,(SP) }

	procedure LMSetMinusOne (value: SInt32);
	inline
		$21DF, $0A06;			{ MOVE.L (SP)+,$0A06 }

	function LMGetTopMenuItem: SInt16;
	inline
		$3EB8, $0A0A;			{ MOVE.W $0A0A,(SP) }

	procedure LMSetTopMenuItem (value: SInt16);
	inline
		$31DF, $0A0A;			{ MOVE.W (SP)+,$0A0A }

	function LMGetAtMenuBottom: SInt16;
	inline
		$3EB8, $0A0C;			{ MOVE.W $0A0C,(SP) }

	procedure LMSetAtMenuBottom (value: SInt16);
	inline
		$31DF, $0A0C;			{ MOVE.W (SP)+,$0A0C }

	function LMGetMenuList: Handle;
	inline
		$2EB8, $0A1C;			{ MOVE.L $0A1C,(SP) }

	procedure LMSetMenuList (value: Handle);
	inline
		$21DF, $0A1C;			{ MOVE.L (SP)+,$0A1C }

	function LMGetMBarEnable: SInt16;
	inline
		$3EB8, $0A20;			{ MOVE.W $0A20,(SP) }

	procedure LMSetMBarEnable (value: SInt16);
	inline
		$31DF, $0A20;			{ MOVE.W (SP)+,$0A20 }

	function LMGetMenuFlash: SInt16;
	inline
		$3EB8, $0A24;			{ MOVE.W $0A24,(SP) }

	procedure LMSetMenuFlash (value: SInt16);
	inline
		$31DF, $0A24;			{ MOVE.W (SP)+,$0A24 }

	function LMGetTheMenu: SInt16;
	inline
		$3EB8, $0A26;			{ MOVE.W $0A26,(SP) }

	procedure LMSetTheMenu (value: SInt16);
	inline
		$31DF, $0A26;			{ MOVE.W (SP)+,$0A26 }

	function LMGetMBarHook: UniversalProcPtr;
	inline
		$2EB8, $0A2C;			{ MOVE.L $0A2C,(SP) }

	procedure LMSetMBarHook (value: UniversalProcPtr);
	inline
		$21DF, $0A2C;			{ MOVE.L (SP)+,$0A2C }

	function LMGetMenuHook: UniversalProcPtr;
	inline
		$2EB8, $0A30;			{ MOVE.L $0A30,(SP) }

	procedure LMSetMenuHook (value: UniversalProcPtr);
	inline
		$21DF, $0A30;			{ MOVE.L (SP)+,$0A30 }

	function LMGetTopMapHndl: Handle;
	inline
		$2EB8, $0A50;			{ MOVE.L $0A50,(SP) }

	procedure LMSetTopMapHndl (value: Handle);
	inline
		$21DF, $0A50;			{ MOVE.L (SP)+,$0A50 }

	function LMGetSysMapHndl: Handle;
	inline
		$2EB8, $0A54;			{ MOVE.L $0A54,(SP) }

	procedure LMSetSysMapHndl (value: Handle);
	inline
		$21DF, $0A54;			{ MOVE.L (SP)+,$0A54 }

	function LMGetSysMap: SInt16;
	inline
		$3EB8, $0A58;			{ MOVE.W $0A58,(SP) }

	procedure LMSetSysMap (value: SInt16);
	inline
		$31DF, $0A58;			{ MOVE.W (SP)+,$0A58 }

	function LMGetCurMap: SInt16;
	inline
		$3EB8, $0A5A;			{ MOVE.W $0A5A,(SP) }

	procedure LMSetCurMap (value: SInt16);
	inline
		$31DF, $0A5A;			{ MOVE.W (SP)+,$0A5A }

	function LMGetResLoad: ByteParameter;
	inline
		$1EB8, $0A5E;			{ MOVE.B $0A5E,(SP) }

	procedure LMSetResLoad (value: ByteParameter);
	inline
		$11DF, $0A5E;			{ MOVE.B (SP)+,$0A5E }

	function LMGetResErr: SInt16;
	inline
		$3EB8, $0A60;			{ MOVE.W $0A60,(SP) }

	procedure LMSetResErr (value: SInt16);
	inline
		$31DF, $0A60;			{ MOVE.W (SP)+,$0A60 }

	function LMGetFScaleDisable: ByteParameter;
	inline
		$1EB8, $0A63;			{ MOVE.B $0A63,(SP) }

	procedure LMSetFScaleDisable (value: ByteParameter);
	inline
		$11DF, $0A63;			{ MOVE.B (SP)+,$0A63 }

	function LMGetDeskHook: UniversalProcPtr;
	inline
		$2EB8, $0A6C;			{ MOVE.L $0A6C,(SP) }

	procedure LMSetDeskHook (value: UniversalProcPtr);
	inline
		$21DF, $0A6C;			{ MOVE.L (SP)+,$0A6C }

	function LMGetTEDoText: UniversalProcPtr;
	inline
		$2EB8, $0A70;			{ MOVE.L $0A70,(SP) }

	procedure LMSetTEDoText (value: UniversalProcPtr);
	inline
		$21DF, $0A70;			{ MOVE.L (SP)+,$0A70 }

	function LMGetTERecal: UniversalProcPtr;
	inline
		$2EB8, $0A74;			{ MOVE.L $0A74,(SP) }

	procedure LMSetTERecal (value: UniversalProcPtr);
	inline
		$21DF, $0A74;			{ MOVE.L (SP)+,$0A74 }

	function LMGetResumeProc: UniversalProcPtr;
	inline
		$2EB8, $0A8C;			{ MOVE.L $0A8C,(SP) }

	procedure LMSetResumeProc (value: UniversalProcPtr);
	inline
		$21DF, $0A8C;			{ MOVE.L (SP)+,$0A8C }

	function LMGetANumber: SInt16;
	inline
		$3EB8, $0A98;			{ MOVE.W $0A98,(SP) }

	procedure LMSetANumber (value: SInt16);
	inline
		$31DF, $0A98;			{ MOVE.W (SP)+,$0A98 }

	function LMGetACount: SInt16;
	inline
		$3EB8, $0A9A;			{ MOVE.W $0A9A,(SP) }

	procedure LMSetACount (value: SInt16);
	inline
		$31DF, $0A9A;			{ MOVE.W (SP)+,$0A9A }

	function LMGetDABeeper: UniversalProcPtr;
	inline
		$2EB8, $0A9C;			{ MOVE.L $0A9C,(SP) }

	procedure LMSetDABeeper (value: UniversalProcPtr);
	inline
		$21DF, $0A9C;			{ MOVE.L (SP)+,$0A9C }

	function LMGetTEScrpLength: UInt16;
	inline
		$3EB8, $0AB0;			{ MOVE.W $0AB0,(SP) }

	procedure LMSetTEScrpLength (value: UInt16);
	inline
		$31DF, $0AB0;			{ MOVE.W (SP)+,$0AB0 }

	function LMGetTEScrpHandle: Handle;
	inline
		$2EB8, $0AB4;			{ MOVE.L $0AB4,(SP) }

	procedure LMSetTEScrpHandle (value: Handle);
	inline
		$21DF, $0AB4;			{ MOVE.L (SP)+,$0AB4 }

	function LMGetAppParmHandle: Handle;
	inline
		$2EB8, $0AEC;			{ MOVE.L $0AEC,(SP) }

	procedure LMSetAppParmHandle (value: Handle);
	inline
		$21DF, $0AEC;			{ MOVE.L (SP)+,$0AEC }

	function LMGetDSErrCode: SInt16;
	inline
		$3EB8, $0AF0;			{ MOVE.W $0AF0,(SP) }

	procedure LMSetDSErrCode (value: SInt16);
	inline
		$31DF, $0AF0;			{ MOVE.W (SP)+,$0AF0 }

	function LMGetResErrProc: ResErrUPP;
	inline
		$2EB8, $0AF2;			{ MOVE.L $0AF2,(SP) }

	procedure LMSetResErrProc (value: ResErrUPP);
	inline
		$21DF, $0AF2;			{ MOVE.L (SP)+,$0AF2 }

	function LMGetDlgFont: SInt16;
	inline
		$3EB8, $0AFA;			{ MOVE.W $0AFA,(SP) }

	procedure LMSetDlgFont (value: SInt16);
	inline
		$31DF, $0AFA;			{ MOVE.W (SP)+,$0AFA }

	function LMGetROMMapHandle: Handle;
	inline
		$2EB8, $0B06;			{ MOVE.L $0B06,(SP) }

	procedure LMSetROMMapHandle (value: Handle);
	inline
		$21DF, $0B06;			{ MOVE.L (SP)+,$0B06 }

	function LMGetWidthPtr: Ptr;
	inline
		$2EB8, $0B10;			{ MOVE.L $0B10,(SP) }

	procedure LMSetWidthPtr (value: Ptr);
	inline
		$21DF, $0B10;			{ MOVE.L (SP)+,$0B10 }

	function LMGetATalkHk2: Ptr;
	inline
		$2EB8, $0B18;			{ MOVE.L $0B18,(SP) }

	procedure LMSetATalkHk2 (value: Ptr);
	inline
		$21DF, $0B18;			{ MOVE.L (SP)+,$0B18 }

	function LMGetHWCfgFlags: SInt16;
	inline
		$3EB8, $0B22;			{ MOVE.W $0B22,(SP) }

	procedure LMSetHWCfgFlags (value: SInt16);
	inline
		$31DF, $0B22;			{ MOVE.W (SP)+,$0B22 }

	function LMGetWidthTabHandle: Handle;
	inline
		$2EB8, $0B2A;			{ MOVE.L $0B2A,(SP) }

	procedure LMSetWidthTabHandle (value: Handle);
	inline
		$21DF, $0B2A;			{ MOVE.L (SP)+,$0B2A }

	function LMGetLastSPExtra: SInt32;
	inline
		$2EB8, $0B4C;			{ MOVE.L $0B4C,(SP) }

	procedure LMSetLastSPExtra (value: SInt32);
	inline
		$21DF, $0B4C;			{ MOVE.L (SP)+,$0B4C }

	function LMGetMenuDisable: SInt32;
	inline
		$2EB8, $0B54;			{ MOVE.L $0B54,(SP) }

	procedure LMSetMenuDisable (value: SInt32);
	inline
		$21DF, $0B54;			{ MOVE.L (SP)+,$0B54 }

	function LMGetROMMapInsert: ByteParameter;
	inline
		$1EB8, $0B9E;			{ MOVE.B $0B9E,(SP) }

	procedure LMSetROMMapInsert (value: ByteParameter);
	inline
		$11DF, $0B9E;			{ MOVE.B (SP)+,$0B9E }

	function LMGetTmpResLoad: ByteParameter;
	inline
		$1EB8, $0B9F;			{ MOVE.B $0B9F,(SP) }

	procedure LMSetTmpResLoad (value: ByteParameter);
	inline
		$11DF, $0B9F;			{ MOVE.B (SP)+,$0B9F }

	function LMGetIntlSpec: Ptr;
	inline
		$2EB8, $0BA0;			{ MOVE.L $0BA0,(SP) }

	procedure LMSetIntlSpec (value: Ptr);
	inline
		$21DF, $0BA0;			{ MOVE.L (SP)+,$0BA0 }

	function LMGetWordRedraw: ByteParameter;
	inline
		$1EB8, $0BA5;			{ MOVE.B $0BA5,(SP) }

	procedure LMSetWordRedraw (value: ByteParameter);
	inline
		$11DF, $0BA5;			{ MOVE.B (SP)+,$0BA5 }

	function LMGetSysFontFam: SInt16;
	inline
		$3EB8, $0BA6;			{ MOVE.W $0BA6,(SP) }

	procedure LMSetSysFontFam (value: SInt16);
	inline
		$31DF, $0BA6;			{ MOVE.W (SP)+,$0BA6 }

	function LMGetSysFontSize: SInt16;
	inline
		$3EB8, $0BA8;			{ MOVE.W $0BA8,(SP) }

	procedure LMSetSysFontSize (value: SInt16);
	inline
		$31DF, $0BA8;			{ MOVE.W (SP)+,$0BA8 }

	function LMGetMBarHeight: SInt16;
	inline
		$3EB8, $0BAA;			{ MOVE.W $0BAA,(SP) }

	procedure LMSetMBarHeight (value: SInt16);
	inline
		$31DF, $0BAA;			{ MOVE.W (SP)+,$0BAA }

	function LMGetTESysJust: SInt16;
	inline
		$3EB8, $0BAC;			{ MOVE.W $0BAC,(SP) }

	procedure LMSetTESysJust (value: SInt16);
	inline
		$31DF, $0BAC;			{ MOVE.W (SP)+,$0BAC }

	function LMGetHighHeapMark: Ptr;
	inline
		$2EB8, $0BAE;			{ MOVE.L $0BAE,(SP) }

	procedure LMSetHighHeapMark (value: Ptr);
	inline
		$21DF, $0BAE;			{ MOVE.L (SP)+,$0BAE }

	function LMGetLastFOND: Handle;
	inline
		$2EB8, $0BC2;			{ MOVE.L $0BC2,(SP) }

	procedure LMSetLastFOND (value: Handle);
	inline
		$21DF, $0BC2;			{ MOVE.L (SP)+,$0BC2 }

	function LMGetFractEnable: ByteParameter;
	inline
		$1EB8, $0BF4;			{ MOVE.B $0BF4,(SP) }

	procedure LMSetFractEnable (value: ByteParameter);
	inline
		$11DF, $0BF4;			{ MOVE.B (SP)+,$0BF4 }

	function LMGetMMU32Bit: ByteParameter;
	inline
		$1EB8, $0CB2;			{ MOVE.B $0CB2,(SP) }

	procedure LMSetMMU32Bit (value: ByteParameter);
	inline
		$11DF, $0CB2;			{ MOVE.B (SP)+,$0CB2 }

	function LMGetTheGDevice: GDHandle;
	inline
		$2EB8, $0CC8;			{ MOVE.L $0CC8,(SP) }

	procedure LMSetTheGDevice (value: GDHandle);
	inline
		$21DF, $0CC8;			{ MOVE.L (SP)+,$0CC8 }

	function LMGetDeskCPat: PixPatHandle;
	inline
		$2EB8, $0CD8;			{ MOVE.L $0CD8,(SP) }

	procedure LMSetDeskCPat (value: PixPatHandle);
	inline
		$21DF, $0CD8;			{ MOVE.L (SP)+,$0CD8 }

	function LMGetTimeDBRA: SInt16;
	inline
		$3EB8, $0D00;			{ MOVE.W $0D00,(SP) }

	procedure LMSetTimeDBRA (value: SInt16);
	inline
		$31DF, $0D00;			{ MOVE.W (SP)+,$0D00 }

	function LMGetTimeSCCDB: SInt16;
	inline
		$3EB8, $0D02;			{ MOVE.W $0D02,(SP) }

	procedure LMSetTimeSCCDB (value: SInt16);
	inline
		$31DF, $0D02;			{ MOVE.W (SP)+,$0D02 }

	function LMGetJVBLTask: UniversalProcPtr;
	inline
		$2EB8, $0D28;			{ MOVE.L $0D28,(SP) }

	procedure LMSetJVBLTask (value: UniversalProcPtr);
	inline
		$21DF, $0D28;			{ MOVE.L (SP)+,$0D28 }

	function LMGetSynListHandle: Handle;
	inline
		$2EB8, $0D32;			{ MOVE.L $0D32,(SP) }

	procedure LMSetSynListHandle (value: Handle);
	inline
		$21DF, $0D32;			{ MOVE.L (SP)+,$0D32 }

	function LMGetMenuCInfo: MCTableHandle;
	inline
		$2EB8, $0D50;			{ MOVE.L $0D50,(SP) }

	procedure LMSetMenuCInfo (value: MCTableHandle);
	inline
		$21DF, $0D50;			{ MOVE.L (SP)+,$0D50 }

	function LMGetDTQueue: QHdrPtr;
	inline
		$2EB8, $0D92;			{ MOVE.L $0D92,(SP) }

	procedure LMSetDTQueue (value: QHdrPtr);
	inline
		$21DF, $0D92;			{ MOVE.L (SP)+,$0D92 }

	function LMGetJDTInstall: UniversalProcPtr;
	inline
		$2EB8, $0D9C;			{ MOVE.L $0D9C,(SP) }

	procedure LMSetJDTInstall (value: UniversalProcPtr);
	inline
		$21DF, $0D9C;			{ MOVE.L (SP)+,$0D9C }

	function LMGetTimeSCSIDB: SInt16;
	inline
		$3EB8, $0B24;			{ MOVE.W $0B24,(SP) }

	procedure LMSetTimeSCSIDB (value: SInt16);
	inline
		$31DF, $0B24;			{ MOVE.W (SP)+,$0B24 }

	function LMGetFSQHdr: QHdrPtr;
	inline
		$2EB8, $0360;			{ MOVE.L $0360,(SP) }

{*************************************************************************************}
{}
{	MORE COMPLEX LOWMEM ACCESSORS}
{}
{*************************************************************************************}
	procedure LMGetDSAlertRect (var dsAlertRectValue: Rect);
	procedure LMSetDSAlertRect ({CONST}
									var dsAlertRectValue: Rect);
	procedure LMGetDragPattern (var dragPatternValue: Pattern);
	procedure LMSetDragPattern ({CONST}
									var dragPatternValue: Pattern);
	procedure LMGetDeskPattern (var deskPatternValue: Pattern);
	procedure LMSetDeskPattern ({CONST}
									var deskPatternValue: Pattern);
	procedure LMGetHiliteRGB (var hiliteRGBValue: RGBColor);
	procedure LMSetHiliteRGB ({CONST}
									var hiliteRGBValue: RGBColor);
	function LMGetEventQueue: QHdrPtr;
	procedure LMSetEventQueue (eventQueueValue: QHdrPtr);
	function LMGetVBLQueue: QHdrPtr;
	procedure LMSetVBLQueue (vblQueueValue: QHdrPtr);
	function LMGetDrvQHdr: QHdrPtr;
	procedure LMSetDrvQHdr (drvQHdrValue: QHdrPtr);
	function LMGetVCBQHdr: QHdrPtr;
	procedure LMSetVCBQHdr (vcbQHdrValue: QHdrPtr);
{*************************************************************************************}
{	"BLOCKMOVE ACCESSORS"}
{	}
{		These lowmem accessors use the BlockMove trap}
{*************************************************************************************}
	function LMGetCurApName: StringPtr;
	procedure LMSetCurApName (curApNameValue: ConstStr31Param);
	function LMGetSysResName: StringPtr;
	procedure LMSetSysResName (sysResNameValue: ConstStr15Param);
	function LMGetFinderName: StringPtr;
	procedure LMSetFinderName (finderNameValue: ConstStr15Param);
	function LMGetABusVars: Ptr;
	procedure LMSetABusVars (aBusVarsValue: Ptr);
	function LMGetScratch20: Ptr;
	procedure LMSetScratch20 (scratch20Value: univ Ptr);
	function LMGetToolScratch: Ptr;
	procedure LMSetToolScratch (toolScratchValue: univ Ptr);
	function LMGetApplScratch: Ptr;
	procedure LMSetApplScratch (applScratchValue: univ Ptr);
{*************************************************************************************}
{	"INDEXED ACCESSORS"}
{	}
{		These lowmem accessors take an index parameter to get/set an indexed}
{		lowmem global.}
{*************************************************************************************}
	function LMGetDAStrings (whichString: INTEGER): StringHandle;
	procedure LMSetDAStrings (DAStringsValue: StringHandle;
									whichString: INTEGER);
	function LMGetLvl2DT (vectorNumber: INTEGER): UniversalProcPtr;
	procedure LMSetLvl2DT (Lvl2DTValue: UniversalProcPtr;
									vectorNumber: INTEGER);
	function LMGetExtStsDT (vectorNumber: INTEGER): UniversalProcPtr;
	procedure LMSetExtStsDT (ExtStsDTValue: UniversalProcPtr;
									vectorNumber: INTEGER);

implementation
end.