unit Windows;

{ Pascal Interface to the Macintosh Libraries }

{ Copyright  Apple Computer Inc. }
{ All Rights Reserved }

{ Adapted for use with THINK Pascal 4.0.x by Marco Piovanelli }

interface
	uses
		Types;

	const

{ floating window defproc ids }
		floatProc = 1985;
		floatGrowProc = 1987;
		floatZoomProc = 1989;
		floatZoomGrowProc = 1991;
		floatSideProc = 1993;
		floatSideGrowProc = 1995;
		floatSideZoomProc = 1997;
		floatSideZoomGrowProc = 1999;

	type

		WindowRef = WindowPtr;
		WindowDefProcPtr = ProcPtr;  { FUNCTION WindowDef(varCode: INTEGER; theWindow: WindowRef; message: INTEGER; param: LONGINT): LONGINT; }

{		DeskHookProcPtr uses register based parameters on the 68k and cannot}
{		be written in or called from a high-level language without the help of}
{		mixed mode or assembly glue.}
{}
{		In:}
{		 => mouseClick  	D0.B}
{		 => *theEvent   	A0.L}

		DeskHookProcPtr = ProcPtr;  { PROCEDURE DeskHook(mouseClick: BOOLEAN; VAR theEvent: EventRecord); }
		WindowDefUPP = UniversalProcPtr;
		DeskHookUPP = UniversalProcPtr;

	const
		uppWindowDefProcInfo = $00003BB0; { FUNCTION (2 byte param, 4 byte param, 2 byte param, 4 byte param): 4 byte result; }
		uppDeskHookProcInfo = $00130802; { Register PROCEDURE (1 byte in D0, 4 bytes in A0); }

	function NewWindowDefProc (userRoutine: WindowDefProcPtr): WindowDefUPP;
	inline
		$2E9F;

	function NewDeskHookProc (userRoutine: DeskHookProcPtr): DeskHookUPP;
	inline
		$2E9F;

	function CallWindowDefProc (varCode: INTEGER;
									theWindow: WindowRef;
									message: INTEGER;
									param: LONGINT;
									userRoutine: WindowDefUPP): LONGINT;
	inline
		$205F, $4E90;

	procedure CallDeskHookProc (mouseClick: BOOLEAN;
									var theEvent: EventRecord;
									userRoutine: DeskHookUPP);
	inline
		$225F, $205F, $101F, $4E91;

implementation
end.