unit WELongCoords;

{ WASTE PROJECT: }
{ Long Coordinates: data types and function prototypes }

{ Copyright  1993-1995 Marco Piovanelli }
{ All Rights Reserved }

interface
	uses
		Types;

	type

		LongPt = record
				case Integer of
					0: (
							v: LongInt;
							h: LongInt;
					);
					1: (
							vh: array[0..1] of LongInt;
					);
			end;  { LongPt }

		LongRect = record
				case Integer of
					0: (
							top: LongInt;
							left: LongInt;
							bottom: LongInt;
							right: LongInt;
					);
					1: (
							topLeft: LongPt;
							botRight: LongPt;
					);
			end;  { LongRect }

	function _WEPinInRange (value: LongInt;
									rangeStart, rangeEnd: LongInt): LongInt;
	procedure WELongPointToPoint ({const} var lp: LongPt;
									var p: Point);
	procedure WEPointToLongPoint (p: Point;
									var lp: LongPt);
	procedure WESetLongRect (var lr: LongRect;
									left, top, right, bottom: LongInt);
	procedure WELongRectToRect ({const} var lr: LongRect;
									var r: Rect);
	procedure WERectToLongRect ({const} var r: Rect;
									var lr: LongRect);
	procedure WEOffsetLongRect (var lr: LongRect;
									hOffset, vOffset: LongInt);
	function WELongPointInLongRect ({const} var lp: LongPt;
									{const} var lr: LongRect): Boolean;

implementation
end.